package com.zhongshu.card.server.core.dao.visitor;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.card.client.type.visitor.VisitorState;
import com.zhongshu.card.server.core.dao.visitor.extend.VisitorMainDaoExtend;
import com.zhongshu.card.server.core.domain.visitor.VisitorMain;

import java.util.List;

/**
 * @author TRX
 * @date 2024/3/21
 */
public interface VisitorMainDao extends MongoDao<VisitorMain>, VisitorMainDaoExtend {

    VisitorMain findTopById(String id);

    VisitorMain findTopByBusId(String busId);

    List<VisitorMain> findByIdIn(List<String> ids);

    List<VisitorMain> findByState(VisitorState state);

}
